Show / Hide Table of Contents

# Struct SDL.SDL_JoyButtonEvent

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_JoyButtonEvent

### Fields

| Improve this Doc View Source

#### button

##### Declaration

    public byte button

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### state

##### Declaration

    public byte state

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### timestamp

##### Declaration

    public uint timestamp

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### type

##### Declaration

    public SDL.SDL_EventType type

##### Field Value

Type | Description
--- | ---
SDL.SDL_EventType |

| Improve this Doc View Source

#### which

##### Declaration

    public int which

##### Field Value

Type | Description
--- | ---
System.Int32 |